## liblouis 3.12.0

=== debian/changelog ===
liblouis (3.12.0-3ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-26767.patch: check the length
      of path before copying indo dataPath in
      liblouis/compileTranslationTable.c, liblouis/liblouis.h.in.
    - CVE-2023-26767
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26768-1.patch: check filename before
      coping to initialLogFileName in liblouis/logging.c.
    - debian/patches/CVE-2023-26768-2.patch: replace the magic
      number with a define in liblouis/logging.c.
    - CVE-2023-26768
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26769-1.patch: check path length
      before coping into tableFile in liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-2.patch: fix format in
      liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-3.patch: add parentheses for
      define expression in liblouis/compileTranslationTable.c.
    - CVE-2023-26769

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 24 Mar 2023 10:58:06 -0300

liblouis (3.12.0-3ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2022-31783.patch: prevent an invalid
      memory writes in compileRule in liblouis/compileTranslationTable.c.
    - CVE-2022-31783

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 07 Jun 2022 12:47:30 -0300

liblouis (3.12.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Strip unusual field spacing from debian/control.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Name (from ./configure).
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * rules: Use dh_auto_build and dh_auto_install instead of hardcoding them.
  * patches/sparc_sigbus: Fix unaligned accesses on sparc64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:21:53 +0100

liblouis (3.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Dec 2019 23:47:45 +0100

liblouis (3.12.0-1) experimental; urgency=medium

  * New upstream release.
    - Rename liblouis19 package to liblouis20 according to upstream soname
    bump.
    - patches/use_system_liblouis: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 01:33:11 +0100

liblouis (3.11.0-3) unstable; urgency=medium

  * control: Drop now-unused python-all build dependency (Closes: Bug#943153).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:50:22 +0100

liblouis (3.11.0-2) unstable; urgency=medium

  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Sep 2019 22:08:40 +0200

liblouis (3.11.0-1) experimental; urgency=medium

  * New upstream release.
    - Rename liblouis17 package to liblouis19 according to upstream soname
    bump.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2019 00:00:53 +0200

liblouis (3.10.0-4) unstable; urgency=medium

  * rules: Remove lou_maketable, it includes a forbidden subdir in /usr/bin,
    and is hardly useful.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2019 18:59:28 +0200

liblouis (3.10.0-3) unstable; urgency=medium

  * liblouis-bin.install: Install all /usr/bin.
  * tests: Use system-provided /usr/bin tools. Check superficial tests output.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 15:57:43 +0200

liblouis (3.10.0-2) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * tests/control: Mark tests as superficial.
  * tests: Run the liblouis tests as well, non-superficial.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 15:19:51 +0200

=== debian/control ===
Source: liblouis
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper-compat (= 12), autotools-dev, automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, libyaml-dev
Build-Depends-Indep: dh-python, python3-all
Standards-Version: 4.4.1
Section: libs
Vcs-Git: https://salsa.debian.org/a11y-team/liblouis.git
Vcs-Browser: https://salsa.debian.org/a11y-team/liblouis
Homepage: http://liblouis.org/

Package: liblouis-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblouis20 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Braille translation library - static libs and headers
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains static libraries and development headers.

Package: liblouis20
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
Description: Braille translation library - shared libs
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains shared libraries.

Package: liblouis-data
Section: text
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Braille translation library - data
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).  New languages can easily be added through
 tables that support a rule- or dictionary based approach. Included are also
 tools for testing and debugging tables.
 .
 This package contains runtime data.

Package: liblouis-bin
Section: text
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Braille translation library - utilities
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).  New languages can easily be added through
 tables that support a rule- or dictionary based approach. Included are also
 tools for testing and debugging tables.
 .
 This package contains a few tools to test tables and translate text.

Package: python3-louis
Section: python
Architecture: all
Depends: ${python3:Depends}, liblouis20 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python bindings for liblouis
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains Python bindings.

=== debian/watch ===
version=3
http://liblouis.org/downloads/ https://github.com/liblouis/liblouis/releases/download/v.*/liblouis-(\d[\d.]*)@ARCHIVE_EXT@

## liblouis 3.14.0

=== debian/changelog ===
liblouis (3.14.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - tests-patches/use_system_liblouis: Refresh.
  * control: Update alioth list domain.
  * patches: Rename to tests-patches.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Jun 2020 18:35:49 +0200

liblouis (3.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

  [ Samuel Thibault ]
  * New upstream release.
    - patches/sparc_sigbus: Upstreamed.
  * control: Drop useless autotools-dev build-dep, useless with compat level
    >= 10.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Mar 2020 23:01:40 +0100

## liblouis 3.16.0

=== debian/changelog ===
liblouis (3.16.0-1~bpo10+1) buster-backports; urgency=medium

  * Backport to buster.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Dec 2020 11:06:38 +0100

liblouis (3.16.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/ru-ru-g1: Fix testsuite due to removed table.
  * not-installed: Note that we don't install .la files.
  * info, docs: Install files from installed path.
  * tests/tests: Fail if we can't patch to make it use the system liblouis.

  [ Debian Janitor ]
  * Update watch file format version to 4.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Nov 2020 21:55:40 +0100

liblouis (3.15.0-1) unstable; urgency=medium

  * New upstream release.
    - tests-patches/use_system_liblouis: Refresh.
  * liblouis-data.lintian-overrides: Silence encoding warnings.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 18:01:55 +0200

=== debian/watch ===
version=4
http://liblouis.org/downloads/ https://github.com/liblouis/liblouis/releases/download/v.*/liblouis-(\d[\d.]*)@ARCHIVE_EXT@

## liblouis 3.18.0

=== debian/changelog ===
liblouis (3.18.0-1ubuntu0.2) impish-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2022-26981.patch: prevent writing
      past CharString memory in compilePassOpcode in
      liblouis/compileTranslationTable.c.
    - CVE-2022-26981
  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2022-31783.patch: prevent an invalid
      memory writes in compileRule in liblouis/compileTranslationTable.c.
    - CVE-2022-31783

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 06 Jun 2022 09:31:25 -0300

liblouis (3.18.0-1) experimental; urgency=medium

  * New upstream release.
  * watch: Use github root URL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Jun 2021 20:11:41 +0200

liblouis (3.17.0-1) experimental; urgency=medium

  * New upstream release.
    - patches/ru-ru-g1: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Mar 2021 20:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: liblouis
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper-compat (= 12), autotools-dev, automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, libyaml-dev
+Build-Depends: debhelper-compat (= 12), automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Vcs-Git: https://salsa.debian.org/a11y-team/liblouis.git
 Vcs-Browser: https://salsa.debian.org/a11y-team/liblouis

=== debian/watch ===
version=4
https://github.com/liblouis/liblouis/releases https://github.com/liblouis/liblouis/releases/download/v.*/liblouis-(\d[\d.]*)@ARCHIVE_EXT@

## liblouis 3.19.0

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: liblouis
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper-compat (= 12), automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, libyaml-dev
-Build-Depends-Indep: dh-python, python3-all
+Build-Depends-Indep: dh-python, python3-all:any
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Section: libs
 Vcs-Git: https://salsa.debian.org/a11y-team/liblouis.git

=== debian/watch ===
version=4
https://github.com/liblouis/liblouis/releases (?:.*?/)?v.*/liblouis-(\d[\d.]*)@ARCHIVE_EXT@

## liblouis 3.20.0

=== debian/changelog ===
liblouis (3.20.0-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/emphasis: Fix regression with emphasis (Closes: #1001841).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Feb 2022 14:49:24 +0100

liblouis (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Dec 2021 23:15:50 +0100

liblouis (3.19.0-2) unstable; urgency=medium

  * control: Set python3-all build-dep :any.
  * rules: Avoid using help2man when cross-building.
  * patches/noclean_man: Avoid cleaning manpage generated by build-help2man.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:35:00 +0200

liblouis (3.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Sep 2021 22:51:28 +0200

liblouis (3.18.0-2) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Aug 2021 20:41:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12), automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all:any
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Vcs-Git: https://salsa.debian.org/a11y-team/liblouis.git
 Vcs-Browser: https://salsa.debian.org/a11y-team/liblouis

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ $(DH_ADDONS)
build binary %-indep: DH_ADDONS=--with=python3

DOPACKAGES := $(shell dh_listpackages)
ifeq ($(filter python3-louis,$(DOPACKAGES)),)
PY3VERS :=
else
PY3VERS := $(shell py3versions -r)
endif

ASSUME_NEW = \
	--assume-new=lou_allround.1 \
	--assume-new=lou_checkhyphens.1 \
	--assume-new=lou_checktable.1 \
	--assume-new=lou_debug.1 \
	--assume-new=lou_translate.1 \
	--assume-new=lou_trace.1 \
	--assume-new=lou_checkyaml.1 \
	--assume-new=lou_tableinfo.1

override_dh_auto_configure:
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure -- --enable-ucs4
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build
	dh_auto_clean
endif
	dh_auto_configure -- --enable-ucs4

override_dh_auto_build:
	dh_auto_build -- $(ASSUME_NEW)
	cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py build; \
	    done

override_dh_auto_clean:
	dh_auto_clean
	-cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py clean --all; \
	    done; \
	    rm -f louis/__init__.pyc
	rm -f doc/liblouis.info doc/stamp-vti doc/version.texi
	rm -fr python/build

override_dh_auto_install:
	dh_auto_install -- $(ASSUME_NEW)
	cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py install --root=$(CURDIR)/debian/python3-louis --install-layout=deb; \
	    done
	rm -fr $(CURDIR)/debian/tmp/usr/bin/lou_maketable*

## liblouis 3.22.0

=== debian/changelog ===
liblouis (3.22.0-2ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-26767.patch: check the length
      of path before copying indo dataPath in
      liblouis/compileTranslationTable.c, liblouis/liblouis.h.in.
    - CVE-2023-26767
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26768-1.patch: check filename before
      coping to initialLogFileName in liblouis/logging.c.
    - debian/patches/CVE-2023-26768-2.patch: replace the magic
      number with a define in liblouis/logging.c.
    - CVE-2023-26768
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26769-1.patch: check path length
      before coping into tableFile in liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-2.patch: fix format in
      liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-3.patch: add parentheses for
      define expression in liblouis/compileTranslationTable.c.
    - CVE-2023-26769

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 17 Mar 2023 11:58:38 -0300

liblouis (3.22.0-2) unstable; urgency=medium

  * patches/replacement: Check replacement characters []
  * liblouis-data.lintian-overrides: Update matching.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jul 2022 23:52:33 +0200

liblouis (3.22.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - Closes: #1008009 CVE-2022-26981
    - Closes: #1011984 CVE-2022-31783

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on automake and dpkg-dev.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jun 2022 11:31:28 +0200

liblouis (3.21.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Make sure liblouis depends on a recent-enough version of
    liblouis-data.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Mar 2022 23:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: liblouis
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper-compat (= 12), automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, libyaml-dev
+Build-Depends: debhelper-compat (= 12), automake, pkg-config, texinfo, help2man, quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all:any
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
@@ -27,7 +28,7 @@
 Package: liblouis20
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
+Depends: ${shlibs:Depends}, liblouis-data (>= ${source:Upstream-Version}~), ${misc:Depends}
 Description: Braille translation library - shared libs
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation

## liblouis 3.23.0

=== debian/changelog ===
liblouis (3.23.0-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Upload to buster-backports-sloppy.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Sep 2022 10:25:17 +0200

liblouis (3.23.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/emphasis: Fixed upstream.
    - patches/replacement: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Sep 2022 20:34:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: liblouis
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper-compat (= 12), automake, pkg-config, texinfo, help2man, quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all:any

## liblouis 3.24.0

=== debian/changelog ===
liblouis (3.24.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Upload to bullseye-backports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Dec 2022 22:22:29 +0100

liblouis (3.24.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Make python3-louis Multi-Arch: foreign.
  * watch: watch: Use API instead of releases page.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Dec 2022 21:56:53 +0100

=== debian/watch ===
version=4
opts=searchmode=plain https://api.github.com/repos/liblouis/liblouis/releases https://github.com/liblouis/liblouis/releases/download/v\d[\.\d]*/liblouis-(\d[\d.]*)@ARCHIVE_EXT@

## liblouis 3.26.0

=== debian/changelog ===
liblouis (3.26.0-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/CVE-2023-26767.patch: Upstreamed.
    - debian/patches/CVE-2023-26768-1.patch: Upstreamed.
    - debian/patches/CVE-2023-26768-2.patch: Upstreamed.
    - debian/patches/CVE-2023-26769-1.patch: Upstreamed.
    - debian/patches/CVE-2023-26769-2.patch: Upstreamed.
    - debian/patches/CVE-2023-26769-3.patch: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 21:06:46 +0200

liblouis (3.24.0-2) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: Denial of service (Closes: #1033202)
    - debian/patches/CVE-2023-26767.patch: check the length
      of path before copying into dataPath in
      liblouis/compileTranslationTable.c, liblouis/liblouis.h.in.
    - CVE-2023-26767
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26768-1.patch: check filename before
      coping to initialLogFileName in liblouis/logging.c.
    - debian/patches/CVE-2023-26768-2.patch: replace the magic
      number with a define in liblouis/logging.c.
    - CVE-2023-26768
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26769-1.patch: check path length
      before coping into tableFile in liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-2.patch: fix format in
      liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-3.patch: add parentheses for
      define expression in liblouis/compileTranslationTable.c.
    - CVE-2023-26769

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 02 Jun 2023 10:05:57 -0300

## liblouis 3.28.0

=== debian/changelog ===
liblouis (3.28.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Fix FTCBFS: Do not pass host cflags to native build
    (Closes: Bug#1057191)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Dec 2023 19:52:08 +0100

liblouis (3.27.0-1) unstable; urgency=medium

  * New upstream release.
  * clean: Clean generated files (Closes: Bug#1047318)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Sep 2023 21:14:18 +0200

## liblouis 3.29.0

=== debian/changelog ===
liblouis (3.29.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:09:00 +0000

liblouis (3.29.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Replace pkg-config deps with pkgconf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Mar 2024 20:07:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: liblouis
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper-compat (= 12), automake, pkg-config, texinfo, help2man, quilt, libyaml-dev
+Build-Depends: debhelper-compat (= 13), automake, pkgconf, texinfo, help2man, quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all:any
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Vcs-Git: https://salsa.debian.org/a11y-team/liblouis.git
 Vcs-Browser: https://salsa.debian.org/a11y-team/liblouis
@@ -69,6 +70,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends}, liblouis20 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis

## liblouis 3.30.0

=== debian/changelog ===
liblouis (3.30.0-2) unstable; urgency=medium

  * Re-upload as source.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 05 Jun 2024 12:44:26 +0200

liblouis (3.30.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 05 Jun 2024 00:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: liblouis
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper-compat (= 13), automake, pkgconf, texinfo, help2man, quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all:any

## liblouis 3.31.0

=== debian/changelog ===
liblouis (3.31.0-2) unstable; urgency=medium

  * control: Add python3-setuptools build-dep (Closes: #1080847)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2024 17:34:38 +0200

liblouis (3.31.0-1) unstable; urgency=medium

  * New upstream release.
  * tests/tests: Always unpatch on exit.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Sep 2024 19:50:45 +0200

## liblouis 3.32.0

=== debian/changelog ===
liblouis (3.32.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2024 15:10:57 +0100

liblouis (3.32.0-1) unstable; urgency=medium

  * New upstream release.
    - tests-patches/use_system_liblouis: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2024 22:02:32 +0100

## liblouis 3.33.0

=== debian/changelog ===
liblouis (3.33.0-1build1) questing; urgency=medium

  * No-change rebuild for updated GCS property note on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Aug 2025 10:36:59 +0200

liblouis (3.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Mar 2025 18:49:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper-compat (= 13), automake, pkgconf, texinfo, help2man, quilt, libyaml-dev
-Build-Depends-Indep: dh-python, python3-all:any
+Build-Depends-Indep: dh-python, python3-all:any, python3-setuptools
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_configure:
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure -- --enable-ucs4
+	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure --reload-all-buildenv-variables -- --enable-ucs4
 	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build
 	dh_auto_clean
 endif

## liblouis 3.34.0

=== debian/changelog ===
liblouis (3.34.0-1) experimental; urgency=medium

  * New upstream release.
    - docs: Drop non-generated docs.
    - tests-patches/use_system_liblouis: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jun 2025 19:36:04 +0200

## liblouis 3.35.0

=== debian/changelog ===
liblouis (3.35.0-2~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Sep 2025 23:29:15 +0200

liblouis (3.35.0-2) unstable; urgency=medium

  * no-change re-upload for arch:all rebuild on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Sep 2025 02:26:07 +0200

liblouis (3.35.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 20:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), automake, pkgconf, texinfo, help2man, quilt, libyaml-dev
 Build-Depends-Indep: dh-python, python3-all:any, python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Git: https://salsa.debian.org/a11y-team/liblouis.git
 Vcs-Browser: https://salsa.debian.org/a11y-team/liblouis

## liblouis 3.36.0

=== extra/generate-display-names/Makefile ===
CC := gcc
DISPLAY_NAMES_FILE := display-names

export LOUIS_TABLEPATH = $(CURDIR)/../../tables
export GOPATH = $(CURDIR)/.go-packages

.PHONY : check
check : generate ../../tables/nl-NL-g0.utb
	./$< $(DISPLAY_NAMES_FILE) >$<.log 2>$<.log

generate : generate.o displayLanguage.a ../../liblouis/liblouis.la
	../../libtool --tag=CC --mode=link $(CC) -o $@ $^ -lpthread

generate.o : generate.c displayLanguage.h
	$(CC) -I. -I../../liblouis -g -O2 -c -o $@ $<

displayLanguage.a displayLanguage.h : displayLanguage.go
	go build -buildmode=c-archive $<

../../tables/nl-NL-g0.utb :
	$(MAKE) -C $(dir $@) $(notdir $@)

.PHONY : clean
clean :
	rm -rf displayLanguage.a displayLanguage.h $(GOPATH) generate.o generate generate.log

=== debian/changelog ===
liblouis (3.36.0-1~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Dec 2025 09:05:55 +0100

liblouis (3.36.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Use version 5 github template.
  * control: Build-depend on pybuild-plugin-pyproject and python3-pytest
  * rules: Use pybuild instead of now-gone setup-py.
  * python3-louis: Install python files.
  * tests/tests: Also run python tests.
  * copyright: Fix FSF address.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Dec 2025 23:25:11 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ $(DH_ADDONS)
build binary %-indep: DH_ADDONS=--with=python3

DOPACKAGES := $(shell dh_listpackages)
ifeq ($(filter python3-louis,$(DOPACKAGES)),)
PY3VERS :=
else
PY3VERS := $(shell py3versions -r)
endif

ASSUME_NEW = \
	--assume-new=lou_allround.1 \
	--assume-new=lou_checkhyphens.1 \
	--assume-new=lou_checktable.1 \
	--assume-new=lou_debug.1 \
	--assume-new=lou_translate.1 \
	--assume-new=lou_trace.1 \
	--assume-new=lou_checkyaml.1 \
	--assume-new=lou_tableinfo.1

override_dh_auto_configure-arch:
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure --reload-all-buildenv-variables -- --enable-ucs4
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_build
	dh_auto_clean
endif
	dh_auto_configure -- --enable-ucs4
override_dh_auto_configure-indep: override_dh_auto_configure-arch
	pybuild --configure

override_dh_auto_build-arch:
	dh_auto_build -- $(ASSUME_NEW)
override_dh_auto_build-indep: override_dh_auto_build-arch
	pybuild -d python --build

override_dh_auto_clean-arch:
	dh_auto_clean
	rm -f doc/liblouis.info doc/stamp-vti doc/version.texi
override_dh_auto_clean-indep: override_dh_auto_clean-arch
	-pybuild -d python --clean

override_dh_auto_test-arch:
	dh_auto_test
override_dh_auto_test-indep:
	cd python ; \
	  for py in $(PY3VERS); do \
	    LOUIS_TABLEPATH=$(CURDIR)/tables LD_LIBRARY_PATH=$(CURDIR)/liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py -m pytest tests/ ; \
	  done

override_dh_auto_install-arch:
	dh_auto_install -- $(ASSUME_NEW)
	rm -fr $(CURDIR)/debian/tmp/usr/bin/lou_maketable*
override_dh_auto_install-indep: override_dh_auto_install-arch
	pybuild -d python --install

=== debian/tests/control ===
Depends: liblouis-bin
Test-Command: [ "$(echo 'Hello, world!' | lou_translate --forward en-us-g2.ctb)" = ,hello1\ _w6 ]
Restrictions: superficial

Depends: liblouis-bin
Test-Command: [ "$(echo 'Hello, world!' | lou_translate --forward unicode.dis,en-us-g2.ctb)" = ⠠⠓⠑⠇⠇⠕⠂\⠀⠸⠺⠖ ]
Restrictions: superficial

Depends: liblouis-bin
Test-Command: [ "$(echo ",! qk br{n fox" | lou_translate --backward en-us-g2.ctb)" = The\ quick\ brown\ fox ]
Restrictions: superficial

Tests: tests
Depends: liblouis-dev, liblouis-bin, python3-louis,
         @builddeps@

=== debian/watch ===
version: 5

Template: Github
Owner: liblouis
Project: liblouis

## liblouis 3.37.0

=== debian/changelog ===
liblouis (3.37.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Also clean .pybuild (Closes: #1047318)
  * control: Stop depending on quilt (Closes: Bug#1129608)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2026 22:38:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper-compat (= 13), automake, pkgconf, texinfo, help2man, quilt, libyaml-dev
-Build-Depends-Indep: dh-python, python3-all:any, python3-setuptools
+Build-Depends: debhelper-compat (= 13), automake, pkgconf, texinfo, help2man, libyaml-dev
+Build-Depends-Indep: dh-python, python3-all:any, python3-setuptools, pybuild-plugin-pyproject, python3-pytest
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 override_dh_auto_clean-arch:
 	dh_auto_clean
-	rm -f doc/liblouis.info doc/stamp-vti doc/version.texi
+	rm -fr doc/liblouis.info doc/stamp-vti doc/version.texi .pybuild
 override_dh_auto_clean-indep: override_dh_auto_clean-arch
 	-pybuild -d python --clean
